Method: variables.update

Full name: accounts.containers.variables.update

Updates a GTM Variable.

HTTP request

PUT https://tagmanager.googleapis.com/tagmanager/v1/accounts/{accountId}/containers/{containerId}/variables/{variableId}

Path parameters

Parameters
accountId

string

The GTM Account ID.

containerId

string

The GTM Container ID.

variableId

string

The GTM Variable ID.

Query parameters

Parameters
fingerprint

string

When provided, this fingerprint must match the fingerprint of the variable in storage.

Request body

The request body contains an instance of Variable.

Response body

If successful, the response body contains an instance of Variable.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/tagmanager.edit.containers

For more information, see the OAuth 2.0 Overview.